Share via


Firewall Rules - List By Server

Gets a list of firewall rules.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/firewallRules?api-version=2025-01-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

FirewallRuleListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List Firewall Rules

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/firewallrulecrudtest-12/providers/Microsoft.Sql/servers/firewallrulecrudtest-6285/firewallRules?api-version=2025-01-01

Sample response

{
  "value": [
    {
      "name": "firewallrulecrudtest-2304",
      "type": "Microsoft.Sql/servers/firewallRules",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/firewallrulecrudtest-12/providers/Microsoft.Sql/servers/firewallrulecrudtest-6285/firewallRules/firewallrulecrudtest-2304",
      "properties": {
        "endIpAddress": "0.0.0.0",
        "startIpAddress": "0.0.0.0"
      }
    },
    {
      "name": "firewallrulecrudtest-3927",
      "type": "Microsoft.Sql/servers/firewallRules",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/firewallrulecrudtest-12/providers/Microsoft.Sql/servers/firewallrulecrudtest-6285/firewallRules/firewallrulecrudtest-3927",
      "properties": {
        "endIpAddress": "0.0.0.1",
        "startIpAddress": "0.0.0.1"
      }
    },
    {
      "name": "firewallrulecrudtest-5370",
      "type": "Microsoft.Sql/servers/firewallRules",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/firewallrulecrudtest-12/providers/Microsoft.Sql/servers/firewallrulecrudtest-6285/firewallRules/firewallrulecrudtest-5370",
      "properties": {
        "endIpAddress": "0.0.0.3",
        "startIpAddress": "0.0.0.3"
      }
    },
    {
      "name": "firewallrulecrudtest-5767",
      "type": "Microsoft.Sql/servers/firewallRules",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/firewallrulecrudtest-12/providers/Microsoft.Sql/servers/firewallrulecrudtest-6285/firewallRules/firewallrulecrudtest-5767",
      "properties": {
        "endIpAddress": "0.0.0.2",
        "startIpAddress": "0.0.0.2"
      }
    }
  ]
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

FirewallRule

A server firewall rule.

FirewallRuleListResult

The response of a FirewallRule list operation.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

FirewallRule

A server firewall rule.

Name Type Description
id

string

Resource ID.

name

string

Resource name.

properties.endIpAddress

string

The end IP address of the firewall rule. Must be IPv4 format. Must be greater than or equal to startIpAddress. Use value '0.0.0.0' for all Azure-internal IP addresses.

properties.startIpAddress

string

The start IP address of the firewall rule. Must be IPv4 format. Use value '0.0.0.0' for all Azure-internal IP addresses.

type

string

Resource type.

FirewallRuleListResult

The response of a FirewallRule list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

FirewallRule[]

The FirewallRule items on this page